Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleTreePartialExpression

    java.lang.Object
      com.ibm.able.rules.AbleTreePartialExpression

All Implemented Interfaces:
  java.io.Serializable

public class AbleTreePartialExpression
extends java.lang.Object
implements java.io.Serializable

This class represents a piece of an expression, either the lhs (term) or the rhs (value). For example customer.age > 50 would be made up of two partial expressions, customer.age is a term, and " > 50" is a value. In some cases the assignment operator ("=") is assumed.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `uid`
`protected java.lang.String` | `value`

Constructor Summary
`AbleTreePartialExpression()` Create an empty partial expression
`AbleTreePartialExpression(java.lang.String theValue)` Create a partial expression with specified value.
`AbleTreePartialExpression(java.lang.String theUid, java.lang.String theValue)` Create a partial expression with specified uid and value.

Method Summary
`java.lang.String` | `getUid()` Get the uid for this expression fragment.
`java.lang.String` | `getValue()` Get the value (expression fragment).
`void` | `setValue(java.lang.String theValue)` Set the value (expression fragment)
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

### uid

    protected java.lang.String uid

Constructor Detail

### AbleTreePartialExpression

    public AbleTreePartialExpression()

  Create an empty partial expression

### AbleTreePartialExpression

    public AbleTreePartialExpression(java.lang.String theValue)

  Create a partial expression with specified value. This is a fragment of an ARL (Java) expression

Parameters:
  `theValue` -

### AbleTreePartialExpression

    public AbleTreePartialExpression(java.lang.String theUid,
                                     java.lang.String theValue)

  Create a partial expression with specified uid and value. The uid allows partial expressions to be referenced by nodes/edges in the tree.

Parameters:
  `theUid` -
  `theValue` -

Method Detail

### setValue

    public void setValue(java.lang.String theValue)

  Set the value (expression fragment)

  Parameters:
    `theValue` -

### getValue

    public java.lang.String getValue()

  Get the value (expression fragment).

  Returns:
    The expression value.

### getUid

    public java.lang.String getUid()

  Get the uid for this expression fragment.

  Returns:
    The uid.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005